Page MenuHomePhabricator

Script to compile civicrm into deployment form
Closed, ResolvedPublic

Description

We need a script which will either build the deployment structure from master-branch code, or (much better) will rebuild deployment branch code. The options we're considering, are to either adapt civicrm-buildkit, or a few lines from gitify.

Event Timeline

awight created this task.Oct 19 2015, 9:30 PM
awight raised the priority of this task from to High.
awight updated the task description. (Show Details)
awight added subscribers: Jgreen, Eileenmcnaughton, gerritbot and 3 others.
DStrine set Security to None.

Change 248275 had a related patch set uploaded (by Eileen):
stop ignoring packages & drupal so we can submodule them

https://gerrit.wikimedia.org/r/248275

I haven't really tried this end-to-end yet because the instructions start with doing git clone origin https://gerrit.wikimedia.org/r/wikimedia/fundraising/civicrm-core --recursive - which won't work until the commits are merged.

Since it's new code it might be worth merging it in & honing in since the 'mergedness' affects how it works.

I'm trying to keep the notes in the Readme file - so check that.

Change 248275 merged by Awight:
stop ignoring packages & drupal so we can submodule them

https://gerrit.wikimedia.org/r/248275

Change 252375 had a related patch set uploaded (by Eileen):
Remove drupal ignore file in prep for re-adding as submodule

https://gerrit.wikimedia.org/r/252375

Change 252462 had a related patch set uploaded (by Eileen):
Sync changes from switching to generating from deployment

https://gerrit.wikimedia.org/r/252462

@awight I cherry-picked a swag of commits to civicrm-core from civicm repo to sync it up - but the one I 'approved' didn't go in & doesn't seem to have gerrit as a watcher so not sure how to process those through

Change 252375 merged by Eileen:
Remove drupal ignore file in prep for re-adding as submodule

https://gerrit.wikimedia.org/r/252375

Change 252462 abandoned by Eileen:
Sync changes from switching to generating from deployment

Reason:
Killing this for now - it's part of the deploy stuff (still in prog) & as Adam points out looks to be on the wrong branch

https://gerrit.wikimedia.org/r/252462

mmodell removed a subscriber: awight.Jun 22 2017, 9:39 PM

@Eileenmcnaughton: Hi, all related patches in Gerrit have been merged or abandoned. Is there more to do in this task? Asking as you are set as task assignee.
(You can change the task status via Add Action...Change Status in the dropdown menu.) Thanks!

Eileenmcnaughton closed this task as Resolved.Feb 19 2020, 8:12 PM

Ohh I'm excited to close this - we are on the verge of getting back to an unpatched version of Civi & not needing to use the half-baked version of this we have